Skip to content

Validates an unsaved completion eligibility expression without runtime data access.

POST
/api/workspace/tasks/configuration/task-definitions/{taskDefinitionId}/outcomes/{outcomeId}/completion-eligibility-rules/validate
curl --request POST \
--url https://example.com/api/workspace/tasks/configuration/task-definitions/example/outcomes/example/completion-eligibility-rules/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Expression": "example", "RuleId": "example" }'
taskDefinitionId
required
string
outcomeId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
Expression
string
nullable
RuleId
string
nullable
Examplegenerated
{
"Expression": "example",
"RuleId": "example"
}

OK

Media typeapplication/json
object
Data

HTTP validation result bound to the authorized Outcome authoring descriptor.

object
IsValid

Whether the source compiles for this Outcome.

boolean
NormalizedExpression

Compiler-normalized source when available.

string
nullable
SchemaFingerprint

Compiled schema identity when available.

string
nullable
ProfileFingerprint

Compiled profile identity when available.

string
nullable
ExpressionFingerprint

Compiled source identity when available.

string
nullable
ArtifactFingerprint

Compiled artifact identity when available.

string
nullable
Diagnostics

Diagnostics located in the submitted raw source when a location is known.

Array<object>
nullable
object
Code
string
nullable
Message
string
nullable
Severity
string
nullable
Start
integer format: int32
nullable
Length
integer format: int32
nullable
DependencyId
string
nullable
Dependencies

Dependencies reported by compilation.

Array<object>
nullable
object
Kind
integer format: int32
Allowed values: 0 1 2
DependencyId
string
nullable
Path
string
nullable
CollectionScope
string
nullable
BaseDescriptorFingerprint

Authoring descriptor identity, including for invalid source.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Dependencies": [
{
"Kind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}